OpenLayers 3 API Documentation

- ol static
  Members
  - inherits
  Typedefs
  - CanvasFunctionType
  - CenterConstraintType
  - Coordinate
  - CoordinateArray
  - CoordinateFormatType
  - Extent
  - OverlayPositioning
  - Pixel
  - PreRenderFunction
  - RendererType
  - Size
  - TileLoadFunctionType
  - TileUrlFunctionType
  - TransformFunction
- ol.animation static
  Methods
  - bounce
  - pan
  - rotate
  - zoom
- ol.BrowserFeature static
  Members
  - DEVICE_PIXEL_RATIO
  - HAS_CANVAS
  - HAS_DEVICE_ORIENTATION
  - HAS_GEOLOCATION
  - HAS_TOUCH
  - HAS_WEBGL
- ol.control static
  Typedefs
  - ScaleLineUnits
  Methods
  - defaults
- ol.coordinate static
  Methods
  - add
  - createStringXY
  - format
  - fromProjectedArray
  - rotate
  - toStringHDMS
  - toStringXY
- ol.events static
  Typedefs
  - ConditionType
- ol.events.condition static
  Members
  - always
  - never
  Methods
  - altKeyOnly
  - altShiftKeysOnly
  - mouseOnly
  - noModifierKeys
  - platformModifierKeyOnly
  - shiftKeyOnly
  - singleClick
  - targetNotEditable
- ol.extent static
  Methods
  - applyTransform
  - boundingExtent
  - buffer
  - containsCoordinate
  - containsExtent
  - createEmpty
  - equals
  - extend
  - getBottomLeft
  - getBottomRight
  - getCenter
  - getHeight
  - getSize
  - getTopLeft
  - getTopRight
  - getWidth
  - intersects
  - isEmpty
- ol.feature static
  Typedefs
  - FeatureStyleFunction
  - StyleFunction
- ol.geom static
  Typedefs
  - GeometryLayout
  - GeometryType
  - RawLinearRing
  - RawLineString
  - RawMultiLineString
  - RawMultiPoint
  - RawMultiPolygon
  - RawPoint
  - RawPolygon
- ol.interaction static
  Methods
  - defaults
- ol.layer static
- ol.loadingstrategy static
  Methods
  - all
  - bbox
  - createTile
- ol.proj static
  Members
  - METERS_PER_UNIT[undefined]
  Typedefs
  - ProjectionLike
  - Units
  Methods
  - addProjection
  - configureProj4jsProjection
  - get
  - getTransform
  - getTransformFromProjections
  - transform
  - transformWithProjections
- ol.render static
- ol.render.canvas static
- ol.source static
  Typedefs
  - State
- ol.source.wms static
  Typedefs
  - ServerType
- ol.tilegrid static
- ol.Attribution
- ol.Collection
  Methods
  - bindTo
  - clear
  - dispatchChangeEvent
  - extend
  - forEach
  - get
  - getArray
  - getKeys
  - getLength
  - getProperties
  - insertAt
  - item
  - notify
  - on
  - once
  - pop
  - push
  - remove
  - removeAt
  - set
  - setAt
  - setValues
  - un
  - unbind
  - unbindAll
  - unByKey
  Fires
  - add
  - beforepropertychange
  - change:length
  - propertychange
  - remove
- ol.CollectionEvent
  Members
  - element
  Events
  - add
  - remove
- ol.control.Attribution
  Methods
  - bindTo
  - dispatchChangeEvent
  - get
  - getKeys
  - getMap
  - getProperties
  - notify
  - on
  - once
  - set
  - setMap
  - setValues
  - un
  - unbind
  - unbindAll
  - unByKey
  Fires
  - beforepropertychange
  - propertychange
- ol.control.Control
  Methods
  - bindTo
  - dispatchChangeEvent
  - get
  - getKeys
  - getMap
  - getProperties
  - notify
  - on
  - once
  - set
  - setMap
  - setValues
  - un
  - unbind
  - unbindAll
  - unByKey
  Fires
  - beforepropertychange
  - propertychange
- ol.control.FullScreen
  Methods
  - bindTo
  - dispatchChangeEvent
  - get
  - getKeys
  - getMap
  - getProperties
  - notify
  - on
  - once
  - set
  - setMap
  - setValues
  - un
  - unbind
  - unbindAll
  - unByKey
  Fires
  - beforepropertychange
  - propertychange
- ol.control.Logo
  Methods
  - bindTo
  - dispatchChangeEvent
  - get
  - getKeys
  - getMap
  - getProperties
  - notify
  - on
  - once
  - set
  - setMap
  - setValues
  - un
  - unbind
  - unbindAll
  - unByKey
  Fires
  - beforepropertychange
  - propertychange
- ol.control.MousePosition
  Methods
  - bindTo
  - dispatchChangeEvent
  - get
  - getCoordinateFormat
  - getKeys
  - getMap
  - getProjection
  - getProperties
  - notify
  - on
  - once
  - set
  - setCoordinateFormat
  - setMap
  - setProjection
  - setValues
  - un
  - unbind
  - unbindAll
  - unByKey
  Fires
  - beforepropertychange
  - change:coordinateformat
  - change:projection
  - propertychange
- ol.control.Rotate
  Methods
  - bindTo
  - dispatchChangeEvent
  - get
  - getKeys
  - getMap
  - getProperties
  - notify
  - on
  - once
  - set
  - setMap
  - setValues
  - un
  - unbind
  - unbindAll
  - unByKey
  Fires
  - beforepropertychange
  - propertychange
- ol.control.ScaleLine
  Methods
  - bindTo
  - dispatchChangeEvent
  - get
  - getKeys
  - getMap
  - getProperties
  - getUnits
  - notify
  - on
  - once
  - set
  - setMap
  - setUnits
  - setValues
  - un
  - unbind
  - unbindAll
  - unByKey
  Fires
  - beforepropertychange
  - change:units
  - propertychange
- ol.control.Zoom
  Methods
  - bindTo
  - dispatchChangeEvent
  - get
  - getKeys
  - getMap
  - getProperties
  - notify
  - on
  - once
  - set
  - setMap
  - setValues
  - un
  - unbind
  - unbindAll
  - unByKey
  Fires
  - beforepropertychange
  - propertychange
- ol.control.ZoomSlider
  Methods
  - bindTo
  - dispatchChangeEvent
  - get
  - getKeys
  - getMap
  - getProperties
  - notify
  - on
  - once
  - set
  - setMap
  - setValues
  - un
  - unbind
  - unbindAll
  - unByKey
  Fires
  - beforepropertychange
  - propertychange
- ol.control.ZoomToExtent
  Methods
  - bindTo
  - dispatchChangeEvent
  - get
  - getKeys
  - getMap
  - getProperties
  - notify
  - on
  - once
  - set
  - setMap
  - setValues
  - un
  - unbind
  - unbindAll
  - unByKey
  Fires
  - beforepropertychange
  - propertychange
- ol.DeviceOrientation
  Methods
  - bindTo
  - dispatchChangeEvent
  - get
  - getAlpha
  - getBeta
  - getGamma
  - getHeading
  - getKeys
  - getProperties
  - getTracking
  - notify
  - on
  - once
  - set
  - setTracking
  - setValues
  - un
  - unbind
  - unbindAll
  - unByKey
  Fires
  - beforepropertychange
  - change Triggered when the device orientation changes.
  - change:alpha
  - change:beta
  - change:gamma
  - change:heading
  - change:tracking
  - propertychange
- ol.dom.Input
  Methods
  - bindTo
  - dispatchChangeEvent
  - get
  - getChecked
  - getKeys
  - getProperties
  - getValue
  - notify
  - on
  - once
  - set
  - setChecked
  - setValue
  - setValues
  - un
  - unbind
  - unbindAll
  - unByKey
  Fires
  - beforepropertychange
  - change:checked
  - change:value
  - propertychange
- ol.DragBoxEvent
  Members
  - coordinate
  Events
  - boxend
  - boxstart
- ol.DrawEvent
  Members
  - feature
  Events
  - drawend
  - drawstart
- ol.Feature
  Methods
  - bindTo
  - dispatchChangeEvent
  - get
  - getGeometry
  - getGeometryName
  - getId
  - getKeys
  - getProperties
  - getStyle
  - getStyleFunction
  - notify
  - on
  - once
  - set
  - setGeometry
  - setGeometryName
  - setId
  - setStyle
  - setValues
  - un
  - unbind
  - unbindAll
  - unByKey
  Fires
  - beforepropertychange
  - change Triggered when the geometry or style of the feature changes.
  - propertychange
- ol.FeatureOverlay
  Methods
  - addFeature
  - getFeatures
  - getStyle
  - getStyleFunction
  - removeFeature
  - setFeatures
  - setMap
  - setStyle
- ol.format.Feature
- ol.format.GeoJSON
  Methods
  - readFeature
  - readFeatures
  - readGeometry
  - readProjection
  - writeFeature
  - writeFeatures
- ol.format.GML
  Methods
  - readFeatures
  - writeFeatures
- ol.format.GPX
  Methods
  - readFeature
  - readFeatures
  - readProjection
  - writeFeatures
- ol.format.IGC
  Methods
  - readFeature
  - readFeatures
  - readProjection
- ol.format.JSONFeature
- ol.format.KML
  Methods
  - readFeature
  - readFeatures
  - readProjection
- ol.format.OSMXML
  Methods
  - readFeatures
  - readProjection
- ol.format.TextFeature
- ol.format.TopoJSON
  Methods
  - readFeatures
  - readProjection
- ol.format.WFS
  Methods
  - readFeatureCollectionMetadata
  - readFeatures
  - readProjection
  - readTransactionResponse
  - writeGetFeature
  - writeTransaction
- ol.format.WMSCapabilities
  Methods
  - read
- ol.format.XML
- ol.format.XMLFeature
- ol.Geolocation
  Methods
  - bindTo
  - dispatchChangeEvent
  - get
  - getAccuracy
  - getAccuracyGeometry
  - getAltitude
  - getAltitudeAccuracy
  - getHeading
  - getKeys
  - getPosition
  - getProjection
  - getProperties
  - getSpeed
  - getTracking
  - getTrackingOptions
  - notify
  - on
  - once
  - set
  - setProjection
  - setTracking
  - setTrackingOptions
  - setValues
  - un
  - unbind
  - unbindAll
  - unByKey
  Fires
  - beforepropertychange
  - change Triggered when the position changes.
  - change:accuracy
  - change:accuracygeometry
  - change:altitude
  - change:altitudeaccuracy
  - change:heading
  - change:position
  - change:projection
  - change:speed
  - change:tracking
  - change:trackingoptions
  - propertychange
- ol.geom.Circle
  Methods
  - applyTransform
  - clone
  - dispatchChangeEvent
  - getCenter
  - getClosestPoint
  - getExtent
  - getFirstCoordinate
  - getLastCoordinate
  - getLayout
  - getRadius
  - getSimplifiedGeometry
  - getType
  - on
  - once
  - setCenter
  - setCenterAndRadius
  - setRadius
  - transform
  - un
  - unByKey
  Fires
  - change Triggered when the geometry changes.
- ol.geom.Geometry
  Methods
  - applyTransform
  - dispatchChangeEvent
  - getClosestPoint
  - getExtent
  - on
  - once
  - transform
  - un
  - unByKey
  Fires
  - change Triggered when the geometry changes.
- ol.geom.GeometryCollection
  Methods
  - applyTransform
  - clone
  - dispatchChangeEvent
  - getClosestPoint
  - getExtent
  - getGeometries
  - getSimplifiedGeometry
  - getType
  - on
  - once
  - setGeometries
  - transform
  - un
  - unByKey
  Fires
  - change Triggered when the geometry changes.
- ol.geom.LinearRing
  Methods
  - applyTransform
  - clone
  - dispatchChangeEvent
  - getArea
  - getClosestPoint
  - getCoordinates
  - getExtent
  - getFirstCoordinate
  - getLastCoordinate
  - getLayout
  - getSimplifiedGeometry
  - getType
  - on
  - once
  - setCoordinates
  - transform
  - un
  - unByKey
  Fires
  - change Triggered when the geometry changes.
- ol.geom.LineString
  Methods
  - appendCoordinate
  - applyTransform
  - clone
  - dispatchChangeEvent
  - getClosestPoint
  - getCoordinateAtM
  - getCoordinates
  - getExtent
  - getFirstCoordinate
  - getLastCoordinate
  - getLayout
  - getLength
  - getSimplifiedGeometry
  - getType
  - on
  - once
  - setCoordinates
  - transform
  - un
  - unByKey
  Fires
  - change Triggered when the geometry changes.
- ol.geom.MultiLineString
  Methods
  - appendLineString
  - applyTransform
  - clone
  - dispatchChangeEvent
  - getClosestPoint
  - getCoordinateAtM
  - getCoordinates
  - getExtent
  - getFirstCoordinate
  - getLastCoordinate
  - getLayout
  - getLineString
  - getLineStrings
  - getSimplifiedGeometry
  - getType
  - on
  - once
  - setCoordinates
  - transform
  - un
  - unByKey
  Fires
  - change Triggered when the geometry changes.
- ol.geom.MultiPoint
  Methods
  - appendPoint
  - applyTransform
  - clone
  - dispatchChangeEvent
  - getClosestPoint
  - getCoordinates
  - getExtent
  - getFirstCoordinate
  - getLastCoordinate
  - getLayout
  - getPoint
  - getPoints
  - getSimplifiedGeometry
  - getType
  - on
  - once
  - setCoordinates
  - transform
  - un
  - unByKey
  Fires
  - change Triggered when the geometry changes.
- ol.geom.MultiPolygon
  Methods
  - appendPolygon
  - applyTransform
  - clone
  - dispatchChangeEvent
  - getArea
  - getClosestPoint
  - getCoordinates
  - getExtent
  - getFirstCoordinate
  - getInteriorPoints
  - getLastCoordinate
  - getLayout
  - getPolygon
  - getPolygons
  - getSimplifiedGeometry
  - getType
  - on
  - once
  - setCoordinates
  - transform
  - un
  - unByKey
  Fires
  - change Triggered when the geometry changes.
- ol.geom.Point
  Methods
  - applyTransform
  - clone
  - dispatchChangeEvent
  - getClosestPoint
  - getCoordinates
  - getExtent
  - getFirstCoordinate
  - getLastCoordinate
  - getLayout
  - getSimplifiedGeometry
  - getType
  - on
  - once
  - setCoordinates
  - transform
  - un
  - unByKey
  Fires
  - change Triggered when the geometry changes.
- ol.geom.Polygon
  Methods
  - circular
  - appendLinearRing
  - applyTransform
  - clone
  - dispatchChangeEvent
  - getArea
  - getClosestPoint
  - getCoordinates
  - getExtent
  - getFirstCoordinate
  - getInteriorPoint
  - getLastCoordinate
  - getLayout
  - getLinearRing
  - getLinearRings
  - getSimplifiedGeometry
  - getType
  - on
  - once
  - setCoordinates
  - transform
  - un
  - unByKey
  Fires
  - change Triggered when the geometry changes.
- ol.geom.SimpleGeometry
  Methods
  - applyTransform
  - dispatchChangeEvent
  - getClosestPoint
  - getExtent
  - getFirstCoordinate
  - getLastCoordinate
  - getLayout
  - getSimplifiedGeometry
  - on
  - once
  - transform
  - un
  - unByKey
  Fires
  - change Triggered when the geometry changes.
- ol.ImageTile
  Methods
  - getImage
  - getTileCoord
- ol.interaction.DoubleClickZoom
  Methods
  - dispatchChangeEvent
  - on
  - once
  - un
  - unByKey
- ol.interaction.DragAndDrop
  Methods
  - dispatchChangeEvent
  - on
  - once
  - un
  - unByKey
  Fires
  - addfeatures
- ol.interaction.DragAndDropEvent
  Members
  - features
  - file
  - projection
  Events
  - addfeatures
- ol.interaction.DragBox
  Methods
  - dispatchChangeEvent
  - getGeometry
  - on
  - once
  - un
  - unByKey
  Fires
  - boxend
  - boxstart
- ol.interaction.DragPan
  Methods
  - dispatchChangeEvent
  - on
  - once
  - un
  - unByKey
- ol.interaction.DragRotate
  Methods
  - dispatchChangeEvent
  - on
  - once
  - un
  - unByKey
- ol.interaction.DragRotateAndZoom
  Methods
  - dispatchChangeEvent
  - on
  - once
  - un
  - unByKey
- ol.interaction.DragZoom
  Methods
  - dispatchChangeEvent
  - getGeometry
  - on
  - once
  - un
  - unByKey
  Fires
  - boxend
  - boxstart
- ol.interaction.Draw
  Methods
  - dispatchChangeEvent
  - on
  - once
  - un
  - unByKey
  Fires
  - drawend
  - drawstart
- ol.interaction.Interaction
  Methods
  - dispatchChangeEvent
  - on
  - once
  - un
  - unByKey
- ol.interaction.KeyboardPan
  Methods
  - dispatchChangeEvent
  - on
  - once
  - un
  - unByKey
- ol.interaction.KeyboardZoom
  Methods
  - dispatchChangeEvent
  - on
  - once
  - un
  - unByKey
- ol.interaction.Modify
  Methods
  - dispatchChangeEvent
  - on
  - once
  - un
  - unByKey
- ol.interaction.MouseWheelZoom
  Methods
  - dispatchChangeEvent
  - on
  - once
  - un
  - unByKey
- ol.interaction.PinchRotate
  Methods
  - dispatchChangeEvent
  - on
  - once
  - un
  - unByKey
- ol.interaction.PinchZoom
  Methods
  - dispatchChangeEvent
  - on
  - once
  - un
  - unByKey
- ol.interaction.Pointer
  Methods
  - dispatchChangeEvent
  - on
  - once
  - un
  - unByKey
- ol.interaction.Select
  Methods
  - dispatchChangeEvent
  - getFeatures
  - on
  - once
  - setMap
  - un
  - unByKey
- ol.Kinetic
- ol.layer.Base
  Methods
  - bindTo
  - dispatchChangeEvent
  - get
  - getBrightness
  - getContrast
  - getHue
  - getKeys
  - getMaxResolution
  - getMinResolution
  - getOpacity
  - getProperties
  - getSaturation
  - getVisible
  - notify
  - on
  - once
  - set
  - setBrightness
  - setContrast
  - setHue
  - setMaxResolution
  - setMinResolution
  - setOpacity
  - setSaturation
  - setValues
  - setVisible
  - un
  - unbind
  - unbindAll
  - unByKey
  Fires
  - change:brightness
  - change:contrast
  - change:hue
  - change:maxresolution
  - change:minresolution
  - change:opacity
  - change:saturation
  - change:visible
  - beforepropertychange
  - propertychange
- ol.layer.Group
  Methods
  - bindTo
  - dispatchChangeEvent
  - get
  - getBrightness
  - getContrast
  - getHue
  - getKeys
  - getMaxResolution
  - getMinResolution
  - getOpacity
  - getProperties
  - getSaturation
  - getVisible
  - notify
  - on
  - once
  - set
  - setBrightness
  - setContrast
  - setHue
  - setMaxResolution
  - setMinResolution
  - setOpacity
  - setSaturation
  - setValues
  - setVisible
  - un
  - unbind
  - unbindAll
  - unByKey
  Fires
  - change Triggered when the state of the source of any of the layers of this group changesevent:
  - beforepropertychange
  - change:brightness
  - change:contrast
  - change:hue
  - change:layers
  - change:maxresolution
  - change:minresolution
  - change:opacity
  - change:saturation
  - change:visible
  - propertychange
- ol.layer.Heatmap
  Methods
  - bindTo
  - dispatchChangeEvent
  - get
  - getBrightness
  - getContrast
  - getHue
  - getKeys
  - getMaxResolution
  - getMinResolution
  - getOpacity
  - getProperties
  - getSaturation
  - getSource
  - getStyle
  - getStyleFunction
  - getVisible
  - notify
  - on
  - once
  - set
  - setBrightness
  - setContrast
  - setHue
  - setMaxResolution
  - setMinResolution
  - setOpacity
  - setSaturation
  - setStyle
  - setValues
  - setVisible
  - un
  - unbind
  - unbindAll
  - unByKey
  Fires
  - beforepropertychange
  - change Triggered when the state of the source changes.
  - change:brightness
  - change:contrast
  - change:hue
  - change:maxresolution
  - change:minresolution
  - change:opacity
  - change:saturation
  - change:visible
  - postcompose
  - precompose
  - propertychange
  - render
- ol.layer.Image
  Methods
  - bindTo
  - dispatchChangeEvent
  - get
  - getBrightness
  - getContrast
  - getHue
  - getKeys
  - getMaxResolution
  - getMinResolution
  - getOpacity
  - getProperties
  - getSaturation
  - getSource
  - getVisible
  - notify
  - on
  - once
  - set
  - setBrightness
  - setContrast
  - setHue
  - setMaxResolution
  - setMinResolution
  - setOpacity
  - setSaturation
  - setValues
  - setVisible
  - un
  - unbind
  - unbindAll
  - unByKey
  Fires
  - beforepropertychange
  - change Triggered when the state of the source changes.
  - change:brightness
  - change:contrast
  - change:hue
  - change:maxresolution
  - change:minresolution
  - change:opacity
  - change:saturation
  - change:visible
  - postcompose
  - precompose
  - propertychange
  - render
- ol.layer.Layer
  Methods
  - bindTo
  - dispatchChangeEvent
  - get
  - getBrightness
  - getContrast
  - getHue
  - getKeys
  - getMaxResolution
  - getMinResolution
  - getOpacity
  - getProperties
  - getSaturation
  - getSource
  - getVisible
  - notify
  - on
  - once
  - set
  - setBrightness
  - setContrast
  - setHue
  - setMaxResolution
  - setMinResolution
  - setOpacity
  - setSaturation
  - setValues
  - setVisible
  - un
  - unbind
  - unbindAll
  - unByKey
  Fires
  - beforepropertychange
  - change Triggered when the state of the source changes.
  - change:brightness
  - change:contrast
  - change:hue
  - change:maxresolution
  - change:minresolution
  - change:opacity
  - change:saturation
  - change:visible
  - postcompose
  - precompose
  - propertychange
  - render
- ol.layer.Tile
  Methods
  - bindTo
  - dispatchChangeEvent
  - get
  - getBrightness
  - getContrast
  - getHue
  - getKeys
  - getMaxResolution
  - getMinResolution
  - getOpacity
  - getProperties
  - getSaturation
  - getSource
  - getVisible
  - notify
  - on
  - once
  - set
  - setBrightness
  - setContrast
  - setHue
  - setMaxResolution
  - setMinResolution
  - setOpacity
  - setSaturation
  - setValues
  - setVisible
  - un
  - unbind
  - unbindAll
  - unByKey
  Fires
  - beforepropertychange
  - change Triggered when the state of the source changes.
  - change:brightness
  - change:contrast
  - change:hue
  - change:maxresolution
  - change:minresolution
  - change:opacity
  - change:preload
  - change:saturation
  - change:visible
  - postcompose
  - precompose
  - propertychange
  - render
- ol.layer.Vector
  Methods
  - bindTo
  - dispatchChangeEvent
  - get
  - getBrightness
  - getContrast
  - getHue
  - getKeys
  - getMaxResolution
  - getMinResolution
  - getOpacity
  - getProperties
  - getSaturation
  - getSource
  - getStyle
  - getStyleFunction
  - getVisible
  - notify
  - on
  - once
  - set
  - setBrightness
  - setContrast
  - setHue
  - setMaxResolution
  - setMinResolution
  - setOpacity
  - setSaturation
  - setStyle
  - setValues
  - setVisible
  - un
  - unbind
  - unbindAll
  - unByKey
  Fires
  - beforepropertychange
  - change Triggered when the state of the source changes.
  - change:brightness
  - change:contrast
  - change:hue
  - change:maxresolution
  - change:minresolution
  - change:opacity
  - change:saturation
  - change:visible
  - postcompose
  - precompose
  - propertychange
  - render
- ol.Map
  Methods
  - addControl
  - addInteraction
  - addLayer
  - addOverlay
  - beforeRender
  - bindTo
  - dispatchChangeEvent
  - forEachFeatureAtPixel
  - get
  - getControls
  - getCoordinateFromPixel
  - getEventCoordinate
  - getEventPixel
  - getInteractions
  - getKeys
  - getLayerGroup
  - getLayers
  - getOverlays
  - getPixelFromCoordinate
  - getProperties
  - getSize
  - getTarget
  - getView
  - getViewport
  - notify
  - on
  - once
  - removeControl
  - removeInteraction
  - removeLayer
  - removeOverlay
  - render
  - renderSync
  - set
  - setLayerGroup
  - setSize
  - setTarget
  - setValues
  - setView
  - un
  - unbind
  - unbindAll
  - unByKey
  - updateSize
  Fires
  - beforepropertychange
  - change:layergroup
  - change:size
  - change:target
  - change:view
  - click
  - dblclick
  - moveend
  - pointerdrag
  - pointermove
  - postcompose
  - postrender
  - precompose
  - propertychange
  - singleclick
- ol.MapBrowserEvent
  Members
  - coordinate
  - frameState
  - map
  - originalEvent
  - pixel
  Methods
  - preventDefault
  - stopPropagation
  Events
  - click
  - dblclick
  - moveend
  - pointerdrag
  - pointermove
  - postrender
  - singleclick
- ol.MapEvent
  Members
  - frameState
  - map
  Events
  - moveend
  - postrender
- ol.Object
  Methods
  - bindTo
  - dispatchChangeEvent
  - get
  - getKeys
  - getProperties
  - notify
  - on
  - once
  - set
  - setValues
  - un
  - unbind
  - unbindAll
  - unByKey
  Fires
  - beforepropertychange
  - propertychange
- ol.ObjectEvent
  Members
  - key
  Events
  - beforepropertychange
  - propertychange
- ol.Observable
  Methods
  - dispatchChangeEvent
  - on
  - once
  - un
  - unByKey
- ol.Overlay
  Methods
  - bindTo
  - dispatchChangeEvent
  - get
  - getElement
  - getKeys
  - getMap
  - getPosition
  - getPositioning
  - getProperties
  - notify
  - on
  - once
  - set
  - setElement
  - setMap
  - setPosition
  - setPositioning
  - setValues
  - un
  - unbind
  - unbindAll
  - unByKey
  Fires
  - beforepropertychange
  - change:element
  - change:map
  - change:position
  - change:positioning
  - propertychange
- ol.proj.CH
  Methods
  - getCode
  - getExtent
  - getUnits
- ol.proj.EPSG2056
  Methods
  - getCode
  - getExtent
  - getUnits
- ol.proj.EPSG3857
  Methods
  - getCode
  - getExtent
  - getUnits
- ol.proj.EPSG4326
  Methods
  - getCode
  - getExtent
  - getUnits
- ol.proj.EPSG21781
  Methods
  - getCode
  - getExtent
  - getUnits
- ol.proj.Projection
  Methods
  - getCode
  - getExtent
  - getUnits
- ol.render.canvas.Immediate
  Methods
  - drawAsync
  - drawCircleGeometry
  - drawFeature
  - drawLineStringGeometry
  - drawMultiLineStringGeometry
  - drawMultiPointGeometry
  - drawMultiPolygonGeometry
  - drawPointGeometry
  - drawPolygonGeometry
  - setFillStrokeStyle
  - setImageStyle
  - setTextStyle
- ol.render.Event
  Members
  - context
  - frameState
  - glContext
  - vectorContext
  Events
  - postcompose
  - precompose
  - render
- ol.source.BingMaps
  Members
  - TOS_ATTRIBUTION
  Methods
  - dispatchChangeEvent
  - getState
  - getTileGrid
  - getTileLoadFunction
  - getTileUrlFunction
  - on
  - once
  - setTileLoadFunction
  - setTileUrlFunction
  - un
  - unByKey
  Fires
  - change Triggered when the state of the source changes.
- ol.source.FormatVector
  Methods
  - addFeature
  - addFeatures
  - dispatchChangeEvent
  - forEachFeature
  - forEachFeatureInExtent
  - getClosestFeatureToCoordinate
  - getExtent
  - getFeatureById
  - getFeatures
  - getFeaturesAtCoordinate
  - getState
  - on
  - once
  - readFeatures
  - removeFeature
  - un
  - unByKey
  Fires
  - addfeature
  - change Triggered when the state of the source changes.
  - removefeature
- ol.source.GeoJSON
  Methods
  - addFeature
  - addFeatures
  - dispatchChangeEvent
  - forEachFeature
  - forEachFeatureInExtent
  - getClosestFeatureToCoordinate
  - getExtent
  - getFeatureById
  - getFeatures
  - getFeaturesAtCoordinate
  - getState
  - on
  - once
  - readFeatures
  - removeFeature
  - un
  - unByKey
  Fires
  - addfeature
  - change Triggered when the state of the source changes.
  - removefeature
- ol.source.GPX
  Methods
  - addFeature
  - addFeatures
  - dispatchChangeEvent
  - forEachFeature
  - forEachFeatureInExtent
  - getClosestFeatureToCoordinate
  - getExtent
  - getFeatureById
  - getFeatures
  - getFeaturesAtCoordinate
  - getState
  - on
  - once
  - readFeatures
  - removeFeature
  - un
  - unByKey
  Fires
  - addfeature
  - change Triggered when the state of the source changes.
  - removefeature
- ol.source.IGC
  Methods
  - addFeature
  - addFeatures
  - dispatchChangeEvent
  - forEachFeature
  - forEachFeatureInExtent
  - getClosestFeatureToCoordinate
  - getExtent
  - getFeatureById
  - getFeatures
  - getFeaturesAtCoordinate
  - getState
  - on
  - once
  - readFeatures
  - removeFeature
  - un
  - unByKey
  Fires
  - addfeature
  - change Triggered when the state of the source changes.
  - removefeature
- ol.source.Image
  Methods
  - dispatchChangeEvent
  - getState
  - on
  - once
  - un
  - unByKey
  Fires
  - change Triggered when the state of the source changes.
- ol.source.ImageCanvas
  Methods
  - dispatchChangeEvent
  - getState
  - on
  - once
  - un
  - unByKey
  Fires
  - change Triggered when the state of the source changes.
- ol.source.ImageStatic
  Methods
  - dispatchChangeEvent
  - getState
  - on
  - once
  - un
  - unByKey
  Fires
  - change Triggered when the state of the source changes.
- ol.source.ImageVector
  Methods
  - dispatchChangeEvent
  - getSource
  - getState
  - on
  - once
  - un
  - unByKey
  Fires
  - change Triggered when the state of the source changes.
- ol.source.ImageWMS
  Methods
  - dispatchChangeEvent
  - getGetFeatureInfoUrl
  - getParams
  - getState
  - getUrl
  - on
  - once
  - setUrl
  - un
  - unByKey
  - updateParams
  Fires
  - change Triggered when the state of the source changes.
- ol.source.KML
  Methods
  - addFeature
  - addFeatures
  - dispatchChangeEvent
  - forEachFeature
  - forEachFeatureInExtent
  - getClosestFeatureToCoordinate
  - getExtent
  - getFeatureById
  - getFeatures
  - getFeaturesAtCoordinate
  - getState
  - on
  - once
  - readFeatures
  - removeFeature
  - un
  - unByKey
  Fires
  - addfeature
  - change Triggered when the state of the source changes.
  - removefeature
- ol.source.MapGuide
  Methods
  - dispatchChangeEvent
  - getState
  - on
  - once
  - un
  - unByKey
  Fires
  - change Triggered when the state of the source changes.
- ol.source.MapQuest
  Methods
  - dispatchChangeEvent
  - getState
  - getTileGrid
  - getTileLoadFunction
  - getTileUrlFunction
  - on
  - once
  - setTileLoadFunction
  - setTileUrlFunction
  - setUrl
  - un
  - unByKey
  Fires
  - change Triggered when the state of the source changes.
- ol.source.OSM
  Members
  - DATA_ATTRIBUTION
  - TILE_ATTRIBUTION
  Methods
  - dispatchChangeEvent
  - getState
  - getTileGrid
  - getTileLoadFunction
  - getTileUrlFunction
  - on
  - once
  - setTileLoadFunction
  - setTileUrlFunction
  - setUrl
  - un
  - unByKey
  Fires
  - change Triggered when the state of the source changes.
- ol.source.OSMXML
  Methods
  - addFeature
  - addFeatures
  - dispatchChangeEvent
  - forEachFeature
  - forEachFeatureInExtent
  - getClosestFeatureToCoordinate
  - getExtent
  - getFeatureById
  - getFeatures
  - getFeaturesAtCoordinate
  - getState
  - on
  - once
  - readFeatures
  - removeFeature
  - un
  - unByKey
  Fires
  - addfeature
  - change Triggered when the state of the source changes.
  - removefeature
- ol.source.ServerVector
  Methods
  - addFeature
  - addFeatures
  - dispatchChangeEvent
  - forEachFeature
  - forEachFeatureInExtent
  - getClosestFeatureToCoordinate
  - getExtent
  - getFeatureById
  - getFeatures
  - getFeaturesAtCoordinate
  - getState
  - on
  - once
  - readFeatures
  - removeFeature
  - un
  - unByKey
  Fires
  - addfeature
  - change Triggered when the state of the source changes.
  - removefeature
- ol.source.Source
  Methods
  - dispatchChangeEvent
  - getState
  - on
  - once
  - un
  - unByKey
  Fires
  - change Triggered when the state of the source changes.
- ol.source.Stamen
  Methods
  - dispatchChangeEvent
  - getState
  - getTileGrid
  - getTileLoadFunction
  - getTileUrlFunction
  - on
  - once
  - setTileLoadFunction
  - setTileUrlFunction
  - setUrl
  - un
  - unByKey
  Fires
  - change Triggered when the state of the source changes.
- ol.source.StaticVector
  Methods
  - addFeature
  - addFeatures
  - dispatchChangeEvent
  - forEachFeature
  - forEachFeatureInExtent
  - getClosestFeatureToCoordinate
  - getExtent
  - getFeatureById
  - getFeatures
  - getFeaturesAtCoordinate
  - getState
  - on
  - once
  - readFeatures
  - removeFeature
  - un
  - unByKey
  Fires
  - addfeature
  - change Triggered when the state of the source changes.
  - removefeature
- ol.source.Tile
  Methods
  - dispatchChangeEvent
  - getState
  - getTileGrid
  - on
  - once
  - un
  - unByKey
  Fires
  - change Triggered when the state of the source changes.
- ol.source.TileDebug
  Methods
  - dispatchChangeEvent
  - getState
  - getTileGrid
  - on
  - once
  - un
  - unByKey
  Fires
  - change Triggered when the state of the source changes.
- ol.source.TileImage
  Methods
  - dispatchChangeEvent
  - getState
  - getTileGrid
  - getTileLoadFunction
  - getTileUrlFunction
  - on
  - once
  - setTileLoadFunction
  - setTileUrlFunction
  - un
  - unByKey
  Fires
  - change Triggered when the state of the source changes.
- ol.source.TileJSON
  Methods
  - dispatchChangeEvent
  - getState
  - getTileGrid
  - getTileLoadFunction
  - getTileUrlFunction
  - on
  - once
  - setTileLoadFunction
  - setTileUrlFunction
  - un
  - unByKey
  Fires
  - change Triggered when the state of the source changes.
- ol.source.TileVector
  Methods
  - addFeature
  - addFeatures
  - dispatchChangeEvent
  - forEachFeature
  - forEachFeatureInExtent
  - getClosestFeatureToCoordinate
  - getExtent
  - getFeatureById
  - getFeatures
  - getFeaturesAtCoordinate
  - getState
  - on
  - once
  - readFeatures
  - removeFeature
  - un
  - unByKey
  Fires
  - addfeature
  - change Triggered when the state of the source changes.
  - removefeature
- ol.source.TileWMS
  Methods
  - dispatchChangeEvent
  - getGetFeatureInfoUrl
  - getParams
  - getState
  - getTileGrid
  - getTileLoadFunction
  - getTileUrlFunction
  - getUrls
  - on
  - once
  - setTileLoadFunction
  - setTileUrlFunction
  - un
  - unByKey
  - updateParams
  Fires
  - change Triggered when the state of the source changes.
- ol.source.TopoJSON
  Methods
  - addFeature
  - addFeatures
  - dispatchChangeEvent
  - forEachFeature
  - forEachFeatureInExtent
  - getClosestFeatureToCoordinate
  - getExtent
  - getFeatureById
  - getFeatures
  - getFeaturesAtCoordinate
  - getState
  - on
  - once
  - readFeatures
  - removeFeature
  - un
  - unByKey
  Fires
  - addfeature
  - change Triggered when the state of the source changes.
  - removefeature
- ol.source.Vector
  Methods
  - addFeature
  - addFeatures
  - dispatchChangeEvent
  - forEachFeature
  - forEachFeatureInExtent
  - getClosestFeatureToCoordinate
  - getExtent
  - getFeatureById
  - getFeatures
  - getFeaturesAtCoordinate
  - getState
  - on
  - once
  - removeFeature
  - un
  - unByKey
  Fires
  - addfeature
  - change Triggered when the state of the source changes.
  - removefeature
- ol.source.VectorEvent
  Members
  - feature
  Events
  - addfeature
  - removefeature
- ol.source.WMTS
  Methods
  - optionsFromCapabilities
  - dispatchChangeEvent
  - getDimensions
  - getState
  - getTileGrid
  - getTileLoadFunction
  - getTileUrlFunction
  - on
  - once
  - setTileLoadFunction
  - setTileUrlFunction
  - un
  - unByKey
  - updateDimensions
  Fires
  - change Triggered when the state of the source changes.
- ol.source.XYZ
  Methods
  - dispatchChangeEvent
  - getState
  - getTileGrid
  - getTileLoadFunction
  - getTileUrlFunction
  - on
  - once
  - setTileLoadFunction
  - setTileUrlFunction
  - setUrl
  - un
  - unByKey
  Fires
  - change Triggered when the state of the source changes.
- ol.source.Zoomify
  Methods
  - dispatchChangeEvent
  - getState
  - getTileGrid
  - getTileLoadFunction
  - getTileUrlFunction
  - on
  - once
  - setTileLoadFunction
  - setTileUrlFunction
  - un
  - unByKey
  Fires
  - change Triggered when the state of the source changes.
- ol.style.Circle
  Methods
  - getAnchor
  - getFill
  - getImage
  - getOrigin
  - getRadius
  - getRotation
  - getScale
  - getSize
  - getStroke
- ol.style.Fill
  Methods
  - getColor
- ol.style.Icon
  Methods
  - getAnchor
  - getImage
  - getOrigin
  - getRotation
  - getScale
  - getSize
  - getSrc
- ol.style.Image
  Methods
  - getRotation
  - getScale
- ol.style.Stroke
  Methods
  - getColor
  - getLineCap
  - getLineDash
  - getLineJoin
  - getMiterLimit
  - getWidth
- ol.style.Style
  Methods
  - getFill
  - getImage
  - getStroke
  - getText
  - getZIndex
- ol.style.Text
  Methods
  - getFill
  - getFont
  - getRotation
  - getScale
  - getStroke
  - getText
  - getTextAlign
  - getTextBaseline
- ol.Tile
  Methods
  - getTileCoord
- ol.TileCoord
  Methods
  - getZXY
- ol.tilegrid.TileGrid
  Methods
  - getMinZoom
  - getOrigin
  - getResolution
  - getTileSize
- ol.tilegrid.WMTS
  Methods
  - getMatrixIds
  - getMinZoom
  - getOrigin
  - getResolution
  - getTileSize
- ol.tilegrid.XYZ
  Methods
  - getMinZoom
  - getOrigin
  - getResolution
  - getTileSize
- ol.tilegrid.Zoomify
  Methods
  - getMinZoom
  - getOrigin
  - getResolution
  - getTileSize
- ol.View
  Methods
  - bindTo
  - dispatchChangeEvent
  - get
  - getKeys
  - getProperties
  - notify
  - on
  - once
  - set
  - setValues
  - un
  - unbind
  - unbindAll
  - unByKey
  Fires
  - beforepropertychange
  - propertychange
- ol.View2D
  Methods
  - bindTo
  - calculateExtent
  - centerOn
  - constrainCenter
  - constrainResolution
  - constrainRotation
  - dispatchChangeEvent
  - fitExtent
  - fitGeometry
  - get
  - getCenter
  - getKeys
  - getProjection
  - getProperties
  - getResolution
  - getResolutionForExtent
  - getRotation
  - getView2D
  - getZoom
  - notify
  - on
  - once
  - rotate
  - set
  - setCenter
  - setProjection
  - setResolution
  - setRotation
  - setValues
  - setZoom
  - un
  - unbind
  - unbindAll
  - unByKey
  Fires
  - beforepropertychange
  - change:center
  - change:projection
  - change:resolution
  - change:rotation
  - propertychange
- ol.webgl.Context
  Methods
  - getGL
  - useProgram

# Source: src/ol/render.jsdoc

    /**
     * @namespace ol.render
     */